Bug 580295 - [abrt] crash in gedit-1:2.28.3-1.fc12: __init__.py:108:deactivate:TypeError: 'NoneType' object is unsubscriptable
[abrt] crash in gedit-1:2.28.3-1.fc12: __init__.py:108:deactivate:TypeError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:10548980
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 17:46 EDT by Chris Schumann
Modified: 2010-12-03 11:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:12:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (655 bytes, text/plain)
2010-04-07 17:46 EDT, Chris Schumann
no flags Details

  None (edit)
Description Chris Schumann 2010-04-07 17:46:17 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: gedit
comment: Close gedit.
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.10-90.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
reason: __init__.py:108:deactivate:TypeError: 'NoneType' object is unsubscriptable
release: Fedora release 12 (Constantine)

backtrace
-----
__init__.py:108:deactivate:TypeError: 'NoneType' object is unsubscriptable

Traceback (most recent call last):
  File "/home/chris/.gnome2/gedit/plugins/classbrowser/__init__.py", line 108, in deactivate
    manager.remove_action_group(windowdata["action_group"])
TypeError: 'NoneType' object is unsubscriptable

Local variables in innermost frame:
manager: <gtk.UIManager object at 0x9be9dec (GtkUIManager at 0x96e3f18)>
window: <gedit.Window object at 0x9be9cd4 (GeditWindow at 0x96f7050)>
pane: <gedit.Panel object at 0x9be9b6c (GeditPanel at 0x981b940)>
windowdata: None
self: <ClassBrowserPlugin object at 0x9c6d1e4 (GeditPluginPython at 0x9cda620)>
Comment 1 Chris Schumann 2010-04-07 17:46:19 EDT
Created attachment 405117 [details]
File: backtrace
Comment 2 Chris Schumann 2010-04-08 17:38:16 EDT

Comment
-----
Close gedit.
Comment 3 Chris Schumann 2010-04-09 14:53:26 EDT

Comment
-----
Close gedit.
Comment 4 Chris Schumann 2010-04-13 20:54:16 EDT

Comment
-----
quit gedit
Comment 5 Chris Schumann 2010-04-13 20:55:16 EDT

How to reproduce
-----
1. Open gedit
2. close gedit
3.


Comment
-----
quit gedit
Comment 6 Chris Schumann 2010-04-14 19:04:49 EDT

How to reproduce
-----
1. Open gedit
2. close gedit
3.


Comment
-----
quit gedit
Comment 7 Chris Schumann 2010-04-16 20:57:59 EDT

How to reproduce
-----
1. Open gedit
2. close gedit
3.


Comment
-----
quit gedit
Comment 8 Chris Schumann 2010-04-25 16:11:37 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open gedit
2. close gedit
3.


Comment
-----
quit gedit
Comment 9 Chris Schumann 2010-05-26 17:30:54 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Close gedit.
Comment 10 Chris Schumann 2010-05-29 20:33:47 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Close gedit.
Comment 11 Chris Schumann 2010-05-30 12:45:34 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Close gedit.
Comment 12 Chris Schumann 2010-06-23 08:55:38 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 13 Chris Schumann 2010-07-13 20:55:06 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 14 Chris Schumann 2010-07-15 21:32:08 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 15 Chris Schumann 2010-08-13 19:57:50 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 16 Chris Schumann 2010-08-22 17:48:01 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 17 Chris Schumann 2010-08-24 21:17:40 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. close gedit with a few files open
2.
3.
Comment 18 Chris Schumann 2010-08-31 19:20:34 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 19 Chris Schumann 2010-09-03 19:07:41 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open gedit
2. close gedit
3.
Comment 20 Bug Zapper 2010-11-03 13:38:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-12-03 11:12:29 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.